Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MultiLLEManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MultiLLEManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MultiLLEManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Multi LLE Manipulator", "Randomly selects and applies one of its manipulators every time it is called.")]
-  [StorableClass]
+  [StorableClass("78C4CAF4-AC9C-4FC7-9082-C2E16FB07C08")]
   public class MultiLinearLinkageManipulator : StochasticMultiBranch<ILinearLinkageManipulator>, ILinearLinkageManipulator, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/SplitGroupManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/SplitGroupManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/SplitGroupManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Split Group Manipulator", "Performs a maximum of N split operations on the groups. An already split group may be split again.")]
-  [StorableClass]
+  [StorableClass("66661F32-5835-4D46-867C-CD96079DC7E6")]
   public sealed class SplitGroupManipulator : LinearLinkageManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/SwapItemManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/SwapItemManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/SwapItemManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap Item Manipulator", "Performs N swaps operations of two items each. The same items may be swapped multiple times, at least two groups need to be present.")]
-  [StorableClass]
+  [StorableClass("C843A8EE-CCDD-4F03-84C9-E7E017BB78E7")]
   public sealed class SwapItemManipulator : LinearLinkageManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("ExhaustiveSwap2MoveGenerator", "Generates all possible swap-2 moves from a given permutation.")]
-  [StorableClass]
+  [StorableClass("25D64C97-0E7E-4B41-96D6-35EB2BD98617")]
   public class ExhaustiveSwap2MoveGenerator : Swap2MoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticSwap2MultiMoveGenerator", "Randomly samples n from all possible swap-2 moves from a given lle grouping.")]
-  [StorableClass]
+  [StorableClass("FF1887C5-1704-4F72-8D13-185EF8E97775")]
   public class StochasticSwap2MultiMoveGenerator : Swap2MoveGenerator, IMultiMoveGenerator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticSwap2SingleMoveGenerator", "Randomly samples a single from all possible swap-2 moves from a given grouping.")]
-  [StorableClass]
+  [StorableClass("5E4A490B-B6C6-4430-947D-13036B795704")]
   public class StochasticSwap2SingleMoveGenerator : Swap2MoveGenerator, IStochasticOperator, ISingleMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2Move.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2Move.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2Move.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2Move", "Item that describes a swap-2 move.")]
-  [StorableClass]
+  [StorableClass("72B450FF-90FF-45E1-9C6F-F230F6EE3208")]
   public class Swap2Move : Item {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveGenerator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveGenerator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2MoveGenerator", "Base class for all swap-2 move generators.")]
-  [StorableClass]
+  [StorableClass("12B437AD-017A-4174-9BC2-03CCE57BF0D3")]
   public abstract class Swap2MoveGenerator : SingleSuccessorOperator, ILinearLinkageSwap2MoveOperator, IMoveGenerator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveMaker.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveMaker.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveMaker.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2MoveMaker", "Peforms a swap-2 move on a given grouping and updates the quality.")]
-  [StorableClass]
+  [StorableClass("B780BF6C-6008-4338-BE7B-CD4C9A7B5FDC")]
   public class Swap2MoveMaker : SingleSuccessorOperator, ILinearLinkageSwap2MoveOperator, IMoveMaker, ISingleObjectiveOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/ShakingOperators/LLEShakingOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/ShakingOperators/LLEShakingOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/ShakingOperators/LLEShakingOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("LLE Shaking Operator", "A shaking operator for VNS which uses LLE manipulators to perform the shaking.")]
-  [StorableClass]
+  [StorableClass("B2583888-9D21-41D5-B7C9-A87D75DE5328")]
   public class LLEShakingOperator : ShakingOperator<ILinearLinkageManipulator>, IStochasticOperator, ILinearLinkageShakingOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("RandomPermutationCreator", "An operator which creates a new random permutation of integer values.")]
-  [StorableClass]
+  [StorableClass("A1067375-67E4-4BBE-B7C1-08614C0FB608")]
   public sealed class RandomPermutationCreator : InstrumentedOperator, IPermutationCreator, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </remarks>
   [Item("CosaCrossover", "An operator which performs the crossover described in the COSA optimization method. It is implemented as described in Wendt, O. 1994. COSA: COoperative Simulated Annealing - Integration von Genetischen Algorithmen und Simulated Annealing am Beispiel der Tourenplanung. Dissertation Thesis. IWI Frankfurt.")]
-  [StorableClass]
+  [StorableClass("BE89CCF0-FABE-470A-B3BA-B59A217CDAE4")]
   public class CosaCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </remarks>
   [Item("CyclicCrossover", "An operator which performs the cyclic crossover on two permutations. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableClass("8B5253AD-59D8-4B36-B9A0-8D0EDB406807")]
   public class CyclicCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </remarks>
   [Item("CyclicCrossover2", "An operator which performs the cyclic crossover on two permutations. It is implemented as described in Affenzeller, M. et al. 2009. Genetic Algorithms and Genetic Programming - Modern Concepts and Practical Applications. CRC Press. p. 136.")]
-  [StorableClass]
+  [StorableClass("2C7684AA-EA65-4CDB-B926-450D381CE735")]
   public class CyclicCrossover2 : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </remarks>
   [Item("EdgeRecombinationCrossover", "An operator which performs the edge recombination crossover on two permutations. It is implemented as described in Whitley et.al. 1991, The Traveling Salesman and Sequence Scheduling, in Davis, L. (Ed.), Handbook of Genetic Algorithms, New York, pp. 350-372.")]
-  [StorableClass]
+  [StorableClass("507E1E1C-6A26-4222-ABEB-9B3B16A0FD31")]
   public class EdgeRecombinationCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs	(revision 13368)
@@ -30,11 +30,11 @@
   /// Performs a crossover between two permuation arrays by preserving a large number of edges in both parents.
   /// The operator also maintains the position in the arrays to some extent.
-  /// It is implemented as described in Mühlenbein, H. 1991. Evolution in time and space - the parallel genetic algorithm. FOUNDATIONS OF GENETIC ALGORITHMS, pp. 316-337. Morgan Kaufmann.<br /><br />
+  /// It is implemented as described in Mï¿œhlenbein, H. 1991. Evolution in time and space - the parallel genetic algorithm. FOUNDATIONS OF GENETIC ALGORITHMS, pp. 316-337. Morgan Kaufmann.<br /><br />
   /// The length of the segment copied from the first parent to the offspring is uniformly distributed in the interval [3;N/3) with N = length of the permutation.
-  /// This recommendation is mentioned in Pohlheim, H. 1999. Evolutionäre Algorithmen: Verfahren, Operatoren und Hinweise für die Praxis, p. 44, Springer.
+  /// This recommendation is mentioned in Pohlheim, H. 1999. Evolutionï¿œre Algorithmen: Verfahren, Operatoren und Hinweise fï¿œr die Praxis, p. 44, Springer.
   /// If the length of the permutation is smaller than 15, the size of the segment is always equal to 3.
   /// </remarks>
-  [Item("MaximalPreservativeCrossover", "An operator which performs the maximal preservative crossover on two permutations. It is implemented as described in Mühlenbein, H. 1991. Evolution in time and space - the parallel genetic algorithm. FOUNDATIONS OF GENETIC ALGORITHMS, pp. 316-337. Morgan Kaufmann.")]
-  [StorableClass]
+  [Item("MaximalPreservativeCrossover", "An operator which performs the maximal preservative crossover on two permutations. It is implemented as described in Mï¿œhlenbein, H. 1991. Evolution in time and space - the parallel genetic algorithm. FOUNDATIONS OF GENETIC ALGORITHMS, pp. 316-337. Morgan Kaufmann.")]
+  [StorableClass("5F971E2A-6209-42F4-856D-8ED7C47345EC")]
   public class MaximalPreservativeCrossover : PermutationCrossover {
     [StorableConstructor]
@@ -71,5 +71,5 @@
       int breakPoint1, breakPoint2, subsegmentLength, index;
 
-      subsegmentLength = random.Next(3, Math.Max(length / 3, 4)); // as mentioned in Pohlheim, H. Evolutionäre Algorithmen: Verfahren, Operatoren und Hinweise für die Praxis, 1999, p.44, Springer.
+      subsegmentLength = random.Next(3, Math.Max(length / 3, 4)); // as mentioned in Pohlheim, H. Evolutionï¿œre Algorithmen: Verfahren, Operatoren und Hinweise fï¿œr die Praxis, 1999, p.44, Springer.
       breakPoint1 = random.Next(length);
       breakPoint2 = breakPoint1 + subsegmentLength;
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MultiPermutationCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MultiPermutationCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MultiPermutationCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("MultiPermutationCrossover", "Randomly selects and applies one of its crossovers every time it is called.")]
-  [StorableClass]
+  [StorableClass("F350D445-AB72-4B38-91A1-961A9D24141A")]
   public class MultiPermutationCrossover : StochasticMultiBranch<IPermutationCrossover>, IPermutationCrossover, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </remarks>
   [Item("OrderBasedCrossover", "An operator which performs an order based crossover of two permutations. It is implemented as described in Syswerda, G. (1991). Schedule Optimization Using Genetic Algorithms. In Davis, L. (Ed.) Handbook of Genetic Algorithms, Van Nostrand Reinhold, New York, pp. 332-349.")]
-  [StorableClass]
+  [StorableClass("A1E0EEE1-2DD6-49D6-BA9E-181AF690EE05")]
   public class OrderBasedCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </remarks>
   [Item("OrderCrossover", "An operator which performs an order crossover of two permutations. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableClass("4DE9904A-8F55-477B-AA50-742EADC289BF")]
   public class OrderCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("OrderCrossover2", "An operator which performs an order crossover of two permutations. It is implemented as described in Affenzeller, M. et al. 2009. Genetic Algorithms and Genetic Programming - Modern Concepts and Practical Applications. CRC Press. p. 135.")]
-  [StorableClass]
+  [StorableClass("E532BE44-AD31-447A-B831-1BF8C7DD820A")]
   public class OrderCrossover2 : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("PartiallyMatchedCrossover", "An operator which performs the partially matched crossover on two permutations. It is implemented as described in Fogel, D.B. 1988. An Evolutionary Approach to the Traveling Salesman Problem. Biological Cybernetics, 60, pp. 139-144, Springer-Verlag.")]
-  [StorableClass]
+  [StorableClass("3FDE28EB-89D3-414F-8149-30D3AABA74D3")]
   public class PartiallyMatchedCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </remarks>
   [Item("PositionBasedCrossover", "An operator which performs the position based crossover on two permutations. It is implemented as described in Syswerda, G. (1991). Schedule Optimization Using Genetic Algorithms. In Davis, L. (Ed.) Handbook of Genetic Algorithms, Van Nostrand Reinhold, New York, pp 332-349.")]
-  [StorableClass]
+  [StorableClass("9DD9F0BF-8F31-49F6-B12D-14B8E9DF9919")]
   public class PositionBasedCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/UniformLikeCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/UniformLikeCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/UniformLikeCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("UniformLikeCrossover", "The ULX crossover tries to maintain the position in the permutation. It randomly chooses from left to right one of its parents' alleles at each position. Missing entries are then filled randomly later. It is described in Tate, D. M. and Smith, A. E. 1995. A genetic approach to the quadratic assignment problem. Computers & Operations Research, vol. 22, pp. 73-83.")]
-  [StorableClass]
+  [StorableClass("B4A26500-F8D1-410A-BBE3-999CB472DF30")]
   public sealed class UniformLikeCrossover : PermutationCrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </remarks>
   [Item("InsertionManipulator", "An operator which moves randomly one element to another position in the permutation (Insertion is a special case of Translocation). It is implemented as described in Fogel, D.B. (1988). An Evolutionary Approach to the Traveling Salesman Problem, Biological Cybernetics, 60, pp. 139-144.")]
-  [StorableClass]
+  [StorableClass("8D065EDE-FAA8-4897-9F3B-D7B173B08C99")]
   public class InsertionManipulator : PermutationManipulator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </remarks>
   [Item("InversionManipulator", "An operator which inverts a randomly chosen part of a permutation. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableClass("2D646103-07DE-4670-8639-32ABFF65D59C")]
   public class InversionManipulator : PermutationManipulator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/MultiPermutationManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/MultiPermutationManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/MultiPermutationManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("MultiPermutationManipulator", "Randomly selects and applies one of its manipulators every time it is called.")]
-  [StorableClass]
+  [StorableClass("A7EB272E-7E7F-443F-80B2-CF2FAA2908CC")]
   public class MultiPermutationManipulator : StochasticMultiBranch<IPermutationManipulator>, IPermutationManipulator, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </remarks>
   [Item("ScrambleManipulator", "An operator which manipulates a permutation array by randomly scrambling the elements in a randomly chosen interval. It is implemented as described in Syswerda, G. (1991). Schedule Optimization Using Genetic Algorithms. In Davis, L. (Ed.) Handbook of Genetic Algorithms, Van Nostrand Reinhold, New York, pp 332-349.")]
-  [StorableClass]
+  [StorableClass("AE531E97-67E3-45EB-83A0-4140BEAE4E01")]
   public class ScrambleManipulator : PermutationManipulator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </remarks>
   [Item("Swap2Manipulator", "An operator which manipulates a permutation array by swapping to randomly chosen elements. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableClass("FC6767C1-092D-4FAD-9649-7423B6DB51BC")]
   public class Swap2Manipulator : PermutationManipulator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </remarks>
   [Item("Swap3Manipulator", "An operator which manipulates a permutation array by swaping three randomly chosen elements. It is implemented such that first 3 positions are randomly chosen in the interval [0;N) with N = length of the permutation with all positions being distinct from each other. Then position 1 is put in place of position 3, position 2 is put in place of position 1 and position 3 is put in place of position 2.")]
-  [StorableClass]
+  [StorableClass("0D8FC9A9-9A67-4078-BF13-1DA7F9D87F17")]
   public class Swap3Manipulator : PermutationManipulator {
     [StorableConstructor]
